openSUSEセキュリティ更新プログラム:ImageMagick(openSUSE-2019-1141)

high Nessus プラグイン ID 123771
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのopenSUSEホストに、セキュリティ更新プログラムがありません。

説明

ImageMagick用のこの更新プログラムでは、以下の問題が修正されています:修正されたセキュリティ問題:- CVE-2019-7175:DecodeImage関数における複数のメモリリークを修正しました。(bsc#1128649)- CVE-2018-18544:WriteMSLImage関数のメモリリークを修正しました。(bsc#1113064)- CVE-2018-20467:coders/bmp.cの無限ループを修正しました。(bsc#1120381)- CVE-2019-7398:WriteDIBImage関数のメモリリークを修正しました。(bsc#1124365)- CVE-2019-7396:ReadSIXELImage関数のメモリリークを修正しました。(bsc#1124367)- CVE-2019-7395:WritePSDChannel関数のメモリリークを修正しました。(bsc#1124368)- CVE-2019-7397:WritePDFImage関数のメモリリークを修正しました。(bsc#1124366)- CVE-2018-16412:ParseImageResourceBlocks関数にあるヒープベースのバッファオーバーリードによるサービス拒否を回避します。(bsc#1106996)修正されたセキュリティ以外の問題:- edgeコマンドラインフラグに関するリグレッションを修正しました。(bsc#1106415)この更新は、SUSE:SLE-15:Updateの更新プロジェクトからインポートされました。

ソリューション

影響を受けるImageMagickパッケージを更新してください。

関連情報

https://bugzilla.opensuse.org/show_bug.cgi?id=1106415

https://bugzilla.opensuse.org/show_bug.cgi?id=1106996

https://bugzilla.opensuse.org/show_bug.cgi?id=1113064

https://bugzilla.opensuse.org/show_bug.cgi?id=1120381

https://bugzilla.opensuse.org/show_bug.cgi?id=1124365

https://bugzilla.opensuse.org/show_bug.cgi?id=1124366

https://bugzilla.opensuse.org/show_bug.cgi?id=1124367

https://bugzilla.opensuse.org/show_bug.cgi?id=1124368

https://bugzilla.opensuse.org/show_bug.cgi?id=1128649

プラグインの詳細

深刻度: High

ID: 123771

ファイル名: openSUSE-2019-1141.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2019/4/5

更新日: 2021/1/19

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:opensuse:ImageMagick, p-cpe:/a:novell:opensuse:ImageMagick-debuginfo, p-cpe:/a:novell:opensuse:ImageMagick-debugsource, p-cpe:/a:novell:opensuse:ImageMagick-devel, p-cpe:/a:novell:opensuse:ImageMagick-devel-32bit, p-cpe:/a:novell:opensuse:ImageMagick-extra, p-cpe:/a:novell:opensuse:ImageMagick-extra-debuginfo, p-cpe:/a:novell:opensuse:libmagick%2b%2b-7_q16hdri4, p-cpe:/a:novell:opensuse:libmagick%2b%2b-7_q16hdri4-32bit, p-cpe:/a:novell:opensuse:libmagick%2b%2b-7_q16hdri4-32bit-debuginfo, p-cpe:/a:novell:opensuse:libmagick%2b%2b-7_q16hdri4-debuginfo, p-cpe:/a:novell:opensuse:libmagick%2b%2b-devel, p-cpe:/a:novell:opensuse:libmagick%2b%2b-devel-32bit, p-cpe:/a:novell:opensuse:libMagickCore-7_Q16HDRI6, p-cpe:/a:novell:opensuse:libMagickCore-7_Q16HDRI6-32bit, p-cpe:/a:novell:opensuse:libMagickCore-7_Q16HDRI6-32bit-debuginfo, p-cpe:/a:novell:opensuse:libMagickCore-7_Q16HDRI6-debuginfo, p-cpe:/a:novell:opensuse:libMagickWand-7_Q16HDRI6, p-cpe:/a:novell:opensuse:libMagickWand-7_Q16HDRI6-32bit, p-cpe:/a:novell:opensuse:libMagickWand-7_Q16HDRI6-32bit-debuginfo, p-cpe:/a:novell:opensuse:libMagickWand-7_Q16HDRI6-debuginfo, p-cpe:/a:novell:opensuse:perl-PerlMagick, p-cpe:/a:novell:opensuse:perl-PerlMagick-debuginfo, cpe:/o:novell:opensuse:15.0

必要な KB アイテム: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2019/4/4

脆弱性公開日: 2018/9/3

参照情報

CVE: CVE-2018-16412, CVE-2018-18544, CVE-2018-20467, CVE-2019-7175, CVE-2019-7395, CVE-2019-7396, CVE-2019-7397, CVE-2019-7398